import { html as n } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as m } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, g = Object.getOwnPropertyDescriptor, o = (p, t, i, l) => {
  for (var e = l > 1 ? void 0 : l ? g(t, i) : t, s = p.length - 1, a; s >= 0; s--)
    (a = p[s]) && (e = (l ? a(t, i, e) : a(e)) || e);
  return l && e && f(t, i, e), e;
};
let r = class extends h {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--emailFilledLarge", this.class = "c-pieIcon c-pieIcon--emailFilledLarge", this.name = "IconEmailFilledLarge";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--emailFilledLarge"><path d="M28.81 24.225c.203-.377.312-.797.315-1.225V9a2.687 2.687 0 0 0-.21-1.033l-8.837 8.182 8.732 8.076Z"></path><path d="M18.791 17.339 16.7 19.264a.875.875 0 0 1-.595.236.875.875 0 0 1-.587-.227l-2.143-1.943-8.899 8.085c.324.138.672.21 1.024.21h21a2.45 2.45 0 0 0 1.015-.21L18.79 17.34Z"></path><path d="M16.105 17.435 27.716 6.69a2.625 2.625 0 0 0-1.216-.315h-21a2.546 2.546 0 0 0-1.146.28l11.751 10.78Z"></path><path d="M3.12 7.906A2.537 2.537 0 0 0 2.875 9v14c.005.425.113.842.315 1.216l8.89-8.067-8.96-8.243Z"></path></svg>`;
  }
};
o([
  c({ type: String, reflect: !0 })
], r.prototype, "size", 2);
o([
  c({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = o([
  m("icon-email-filled-large")
], r);
export {
  r as IconEmailFilledLarge
};
